# openforcefield.utils.structure.get_molecule_parameterIDs

`openforcefield.utils.structure.``get_molecule_parameterIDs`(molecules, forcefield)

  Process a list of molecules with a specified SMIRNOFF ffxml file and determine which parameters are used by which molecules, returning collated results.

  Parameters
    molecules list of openforcefield.topology.Molecule

      List of molecules (with explicit hydrogens) to parse

    forcefield openforcefield.typing.engines.smirnoff.ForceField

      The ForceField to apply

  Returns
    parameters_by_molecule dict

      Parameter IDs used in each molecule, keyed by isomeric SMILES generated from provided OEMols. Each entry in the dict is a list which does not necessarily have unique entries; i.e. parameter IDs which are used more than once will occur multiple times.

    parameters_by_ID dict

      Molecules in which each parameter ID occur, keyed by parameter ID. Each entry in the dict is a set of isomeric SMILES for molecules in which that parameter occurs. No frequency information is stored.